Market Trades
curl --request GET \
--url https://codex-api.nomos.trade/v1/markets/{conditionId}/trades \
--header 'Authorization: Bearer <token>'import requests
url = "https://codex-api.nomos.trade/v1/markets/{conditionId}/trades"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://codex-api.nomos.trade/v1/markets/{conditionId}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conditionId": "0x8db33416a2d1ebde7438c80129e898f89a5deb3852ca64b37c4bf46513204409",
"block": 94812405,
"complete": true,
"trades": [
{
"ts": 1790862117,
"block": 94812345,
"logIndex": 211,
"tx": "0x3f6a0c0d1d7f4b0a9e2c6b8f51a2e94d7c03b6a1e8f5d2c47a9b0e1f3c5d7e9a",
"wallet": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
"side": "BUY",
"asset": "85254962656314962064648492774584063365849461315753521676016468731069088672",
"conditionId": "0x8db33416a2d1ebde7438c80129e898f89a5deb3852ca64b37c4bf46513204409",
"outcomeIndex": 0,
"price": 0.231,
"size": 2000,
"usd": 462,
"fee": 0.92,
"feeUnit": "usd",
"role": "taker",
"counterparty": "0xe111180000d2663c0091e4f400237545b87b996b",
"exchange": "ctf-v2"
},
{
"ts": 1790862117,
"block": 94812345,
"logIndex": 212,
"tx": "0x3f6a0c0d1d7f4b0a9e2c6b8f51a2e94d7c03b6a1e8f5d2c47a9b0e1f3c5d7e9a",
"wallet": "0x1f0ebc543b2d411f66947041625c0aa1ce61cf79",
"side": "SELL",
"asset": "85254962656314962064648492774584063365849461315753521676016468731069088672",
"conditionId": "0x8db33416a2d1ebde7438c80129e898f89a5deb3852ca64b37c4bf46513204409",
"outcomeIndex": 0,
"price": 0.231,
"size": 2000,
"usd": 462,
"fee": 0,
"feeUnit": "usd",
"role": "maker",
"counterparty": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
"exchange": "ctf-v2"
}
],
"next": "1790862117,94812345,212"
}Markets
Market Trades
Every trade in the market, newest first. Each match appears as the taker’s fill and one fill per maker order. Page with next.
GET
/
v1
/
markets
/
{conditionId}
/
trades
Market Trades
curl --request GET \
--url https://codex-api.nomos.trade/v1/markets/{conditionId}/trades \
--header 'Authorization: Bearer <token>'import requests
url = "https://codex-api.nomos.trade/v1/markets/{conditionId}/trades"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://codex-api.nomos.trade/v1/markets/{conditionId}/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conditionId": "0x8db33416a2d1ebde7438c80129e898f89a5deb3852ca64b37c4bf46513204409",
"block": 94812405,
"complete": true,
"trades": [
{
"ts": 1790862117,
"block": 94812345,
"logIndex": 211,
"tx": "0x3f6a0c0d1d7f4b0a9e2c6b8f51a2e94d7c03b6a1e8f5d2c47a9b0e1f3c5d7e9a",
"wallet": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
"side": "BUY",
"asset": "85254962656314962064648492774584063365849461315753521676016468731069088672",
"conditionId": "0x8db33416a2d1ebde7438c80129e898f89a5deb3852ca64b37c4bf46513204409",
"outcomeIndex": 0,
"price": 0.231,
"size": 2000,
"usd": 462,
"fee": 0.92,
"feeUnit": "usd",
"role": "taker",
"counterparty": "0xe111180000d2663c0091e4f400237545b87b996b",
"exchange": "ctf-v2"
},
{
"ts": 1790862117,
"block": 94812345,
"logIndex": 212,
"tx": "0x3f6a0c0d1d7f4b0a9e2c6b8f51a2e94d7c03b6a1e8f5d2c47a9b0e1f3c5d7e9a",
"wallet": "0x1f0ebc543b2d411f66947041625c0aa1ce61cf79",
"side": "SELL",
"asset": "85254962656314962064648492774584063365849461315753521676016468731069088672",
"conditionId": "0x8db33416a2d1ebde7438c80129e898f89a5deb3852ca64b37c4bf46513204409",
"outcomeIndex": 0,
"price": 0.231,
"size": 2000,
"usd": 462,
"fee": 0,
"feeUnit": "usd",
"role": "maker",
"counterparty": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
"exchange": "ctf-v2"
}
],
"next": "1790862117,94812345,212"
}Authorizations
Your API key: codex_ and 48 hex characters.
Path Parameters
The market: 0x and 64 hex.
Pattern:
^0x[0-9a-fA-F]{64}$Query Parameters
Rows, 1 to 1,000. Out of range is clamped.
Required range:
1 <= x <= 1000The previous page's next: ts,block,logIndex.
One outcome index only.
One side only.
Available options:
BUY, SELL